sniffit (0.5-3ubuntu1) noble; urgency=medium

  * d/p/implicit-declaration.patch: cherry-pick upstream patch
    to resolve -Werror=implicit-function-declaration (LP: #2061033).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 15 Apr 2024 10:10:17 +1200

sniffit (0.5-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:02:08 +1100

sniffit (0.5-3build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 14:03:00 +0100

sniffit (0.5-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/copyright: updated packaging copyright years.

  [ Debian Janitor ]
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Fix day-of-week for changelog entry 0.3.5-2.
  * Update standards version to 4.6.1, no changes needed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 21 Nov 2022 16:47:54 -0300

sniffit (0.5-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.5.1.
      - Migrated DH level to 13.
  * debian/copyright: updated packaging copyright years.
  * debian/install: no longer needed because the autotools will install it.
    Removed.
  * debian/manpages: no longer needed because the autotools will install it.
    Removed.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 04 Sep 2021 15:09:18 -0300

sniffit (0.5-1) unstable; urgency=medium

  * New upstream version 0.5. This version will solve #957819.
  * debian/copyright:
      - Updated upstream copyright years.
      - Updated Upstream-Contact field.
  * debian/patches/10_fix-spell.patch: removed. The upstream fixed the source
    code. Thanks.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 19 Apr 2020 23:15:44 -0300

sniffit (0.4.0-5) unstable; urgency=medium

  * New upstream homepage. Consequently:
      - debian/control: updated Homepage field.
      - debian/copyright: updated Source field.
      - debian/watch: updated the source for download.
      - Closes: #930383
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Feb 2020 21:14:26 -0300

sniffit (0.4.0-4) unstable; urgency=medium

  * debian/tests/control: added restrictions to try fix the test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 14 Oct 2018 16:40:36 -0300

sniffit (0.4.0-3) unstable; urgency=medium

  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Changed Vcs-* URLs to salsa.debian.org.
  * debian/copyright:
      - Updated packaging copyright years.
      - Using a secure copyright format in URI.
  * debian/tests/control: created to perform a trivial test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 21 Sep 2018 12:51:56 -0300

sniffit (0.4.0-2) unstable; urgency=medium

  * Removed all references to dh-autoreconf because it is default now.
  * debian/control: bumped Standards-Version to 4.1.1.
  * debian/patches/10_fix-spell.patch: added to fix a misspelling in final
    binary.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 09 Oct 2017 13:14:34 -0300

sniffit (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/control: improved the long description.
  * debian/docs: added CONTRIBUTING.md file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 15 Nov 2016 11:58:49 -0200

sniffit (0.4.0~git20161114.f845505-1) experimental; urgency=medium

  * New upstream release. (includes a fix for CVE-2014-5439)
  * New upstream homepage.
  * The upstream removed the embedded libpcap.
  * Using DH compat 10.
  * Using dh-autoreconf.
  * debian/clean: acts over embedded libpcap only. Removed.
  * debian/control: rewritten the long description.
  * debian/copyright:
      - Removed all notices about the libpcap directory.
      - Updated several information about the upstream.
  * debian/docs: fully updated.
  * debian/examples: fully updated.
  * debian/install: updated.
  * debian/manpages: fully updated.
  * debian/patches/: all applied by the upstream. Removed.
  * debian/rules: removed the (now) useless override_dh_clean.
  * debian/source/options: no longer needed. Removed.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 14 Nov 2016 22:24:40 -0200

sniffit (0.3.7.beta-20) unstable; urgency=medium

  * Bumped DH level to 10. However, sniffit only supports compat 9.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Added an email address for upstream.
      - Grouped all files under BSD-4-Clause license.
      - Updated the packaging copyright years.
  * debian/patches/:
      - Renamed all patches to reorganize the directory.
      - Updated 50_fix-spellings-manpage.8.patch.
      - Added 55_fix-CVE-2014-5439.patch to fix CVE-2014-5439 (Root shell on
        Sniffit).
      - Added 60_update-ncurses-check.patch to remove unnecessary action about
        ncurses.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Nov 2016 00:06:53 -0200

sniffit (0.3.7.beta-19) unstable; urgency=medium

  * Update to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 May 2015 23:40:04 -0300

sniffit (0.3.7.beta-18) experimental; urgency=medium

  * New maintainer. Thanks to William Vera for your work over this package.
    (Closes: #781587)
  * Migrations:
      - debian/copyright to version 1.0.
      - DH level to 9.
      - Using autoreconf.
  * Renaming:
      - sniffit.docs to docs.
      - sniffit.examples to examples.
      - sniffit.install to install.
      - sniffit.manpages to manpages.
  * debian/clean: added to remove files created by upstream.
  * debian/control:
      - Added the Vcs-* fields.
      - Bumped Standards-Version to 3.9.6.
      - Removed the Homepage field. The upstream development is dead and no
        longer exist a homepage. (Closes: #685419)
  * debian/copyright: updated all data.
  * debian/manpages: added sniffit.8.
  * debian/patches/:
      - Added the Last-Update field to all previous patches.
      - Added the 06_clang_FTBFS_Wreturn-type.patch, to allow build using
        CLANG. Thanks to Nicolas Sévelin-Radiguet <nicosr@free.fr>.
        (Closes: #741125)
      - fix-manpage-8: added to fix some spelling errors in sniffit.8.
  * debian/rules:
      - Added the '--with autotools-dev' customization to dh target.
      - Added the override_dh_clean target to allow the package to build twice.
      - Added the DEB_BUILD_MAINT_OPTIONS variable to fix the issues pointed by
        blhc tool.
      - Removed lots of trash.
  * debian/source/options: added to ignore changes in some upstream files.
  * debian/watch: added a fake site to explain about the current
      status of the original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Apr 2015 00:50:18 -0300

sniffit (0.3.7.beta-17) unstable; urgency=low

  * Acknowledge NMU.
     + Thanks Aron Xu.
  * Added a patch to enable hardening options. (Closes: #649817).
     + Thanks Simon Ruderich.
  * Added a patch to fix spelling error on binary.
  * Fixed spelling error on debian/README.Debian.
  * Added "DM-Upload-Allowed: yes" at debian/control.

 -- William Vera <billy@billy.com.mx>  Thu, 16 Aug 2012 17:40:22 -0500

sniffit (0.3.7.beta-16.1) unstable; urgency=low

  * Non-maintainer upload.
  * Various changes to install correct files.

 -- Aron Xu <aron@debian.org>  Mon, 26 Mar 2012 22:39:34 +0800

sniffit (0.3.7.beta-16) unstable; urgency=low

  * Acknowledge NMU.
     + Thanks HIGUCHI Daisuke.
  * Delete dpatch as Build Depend.
  * Switch to dpkg-source 3.0 (quilt) format. (Closes: #664401).
  * Added missing recommended target build-arch in debian/rules.
  * Updated Standards Version to 3.9.3.
  * Added flags to enable hardening options in debian/rules (Closes: #649817).
     + Thanks VDR dai.

 -- William Vera <billy@billy.com.mx>  Tue, 06 Mar 2012 16:29:14 -0600

sniffit (0.3.7.beta-15.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/05_fix_segfaults_on_amd64_bts644978.dpatch
    - fix segfaults on amd64, thanks Sebastian Harl <tokkee@debian.org>
      (Closes: #644978).

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Thu, 10 Nov 2011 14:14:23 +0900

sniffit (0.3.7.beta-15) unstable; urgency=low

  * Added a patch to add support for GNU/kFreeBSD (Closes: #535506).
  * Added README.source (dpatch).
  * Updated Standards Version to 3.8.3.

 -- William Vera <billy@billy.com.mx>  Sat, 24 Oct 2009 22:21:47 -0500

sniffit (0.3.7.beta-14) unstable; urgency=low

  * Added a patch to defined prototypes correctly (Closes: #532581).
    + Thanks James Westby
  * Updated Standards Version to 3.8.1
  * Added ${misc:Depends} at debian/control file.
  * Added Homepage field at debian/control file.
  * Added a patch with old changes in diff.gz.
  * Added a patch to fix manpages format.

 -- William Vera <billy@billy.com.mx>  Wed, 10 Jun 2009 22:45:12 -0500

sniffit (0.3.7.beta-13) unstable; urgency=low

  * New maintainer. (Closes: #465931).
  * Some format corrections on the man pages (sniffit(5) sniffit(8)).
  * Don't include config.{sub,guess} in .diff.gz

 -- William Vera <billy@billy.com.mx>  Sat, 07 Jun 2008 12:56:48 -0500

sniffit (0.3.7.beta-12) unstable; urgency=low

  * Use debhelper v7, rules file minimisation.
  * Makefile.in: don't strip binary Closes: #438032
  * debian/control: Updated to Standards-Version: 3.7.3, no changes needed

 -- Edward Betts <edward@debian.org>  Wed, 30 Apr 2008 11:00:19 +0100

sniffit (0.3.7.beta-11) unstable; urgency=low

  * Acknowledge NMU
  * sn_structs.h: Sitting at Debcamp, fixing FTBFS bugs, and Alberto Gonzalez
    Iniesta <agi@debian.org> sitting next to me points out there is one in
    this package. Thanks to Joshua Kwan <joshk@triplehelix.org> for the patch
    to fix it. (closes: #195548)
  * config.{guess,sub}: updated
  * debian/control: Updated to Standards-Version: 3.6.0, no changes needed
  * sn_interface.c: sniffit was leaving echo turned off when exiting from the
    interactive mode in an xterm, added reset_shell_mode() to screen_exit()
    and it works. This should not be needed because endwin should be calling
    it.

 -- Edward Betts <edward@debian.org>  Mon, 14 Jul 2003 10:50:24 +0200

sniffit (0.3.7.beta-10.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:37:33 +0200

sniffit (0.3.7.beta-10) unstable; urgency=low

  * README.FIRST: apply patch "James R. Van Zandt" <jrv@mitre.org> to correct
    spelling and other mistakes in README.FIRST

 -- Edward Betts <edward@debian.org>  Thu, 13 Dec 2001 17:35:25 +0000

sniffit (0.3.7.beta-9) unstable; urgency=low

  * debian/control: Standards-Version: 3.5.5
  * debian/rules: Support DEB_BUILD_OPTIONS
  * config.{guess,sub}: updated files to version from libtool package
    (Closes: Bug#103633)
  * sniffit.c: applied patch from Bug#103633

 -- Edward Betts <edward@debian.org>  Thu,  5 Jul 2001 10:44:23 +0200

sniffit (0.3.7.beta-8) unstable; urgency=low

  * debian/control: Standards-Version: 3.5.2
  * debian/rules: Changed to debhelper 3
  * debian/rules: Removed dh_suidregister
  * debian/rules: Removed dh_testversion
  * debian/rules: Changed dh_installman to dh_installmanpages
  * debian/rules: Support DEB_BUILD_OPTIONS

 -- Edward Betts <edward@debian.org>  Sun, 25 Mar 2001 04:41:39 -0700

sniffit (0.3.7.beta-7) frozen unstable; urgency=high

  * debian/rules: do not install pcap.3 (closes: Bug#77769).
  * debian/control: updated Standards-Version to 3.2.1
  * debian/control: added version to build-depends on debhelper for lintian:
     E: sniffit: package-uses-dh_testversion-but-lacks-versioned-build-depends
  * Package now lintian clean.

 -- Edward Betts <edward@debian.org>  Tue, 28 Nov 2000 07:00:24 -0700

sniffit (0.3.7.beta-6.1) frozen unstable; urgency=high

  * Non maintainer upload.
  * [security] sn_logfile.c: Replaced sprintfs by snprintfs fixing a buffer
    overflow (bugtraq).
  * [security] sn_analyse.c: Limit length of TCP packets to the buffer
    size (buffer overflow with MTU > 5000).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 26 May 2000 08:40:14 +0200

sniffit (0.3.7.beta-6) frozen unstable; urgency=low

  * Update config.{guess,sub} to versions from the automake package.
    Should now compile better on ARM (closes: Bug#56915).

 -- Edward Betts <edward@debian.org>  Thu,  3 Feb 2000 09:22:16 +0000

sniffit (0.3.7.beta-5) unstable; urgency=low

  * debian/control: updated Standards-Version to 3.1.1
  * debian/control: added Build-Depends.
  * debian/rules: rewritten.

 -- Edward Betts <edward@debian.org>  Thu,  6 Jan 2000 23:12:32 +0000

sniffit (0.3.7.beta-4) unstable; urgency=low

  * Recompile to try and fix bug #49979

 -- Edward Betts <edward@debian.org>  Fri, 12 Nov 1999 23:21:17 +0000

sniffit (0.3.7.beta-3) unstable; urgency=low

  * Changed to Debhelper 2.0
  * Updated to Standards-Version: 3.0.1
  * This package includes a copy of libpcap, ensured that it is not built
  * Moved config file /etc/sniffit.cfg to
    /usr/doc/sniffit/examples/sample_config_file
  * Lintian clean

 -- Edward Betts <edward@debian.org>  Fri, 12 Nov 1999 23:20:20 +0000

sniffit (0.3.7.beta-2) unstable; urgency=low

  * Updated /usr/doc/sniffit/copyright from README.FIRST (fixes #39765)
  * sniffit 0.3.7.beta is free software (BSD-like license)
  * Changed section to main/net
  * Added conffiles entry for /etc/sniffit.cfg

 -- Hamish Moffatt <hamish@debian.org>  Fri, 25 Jun 1999 22:30:00 +1000

sniffit (0.3.7.beta-1) unstable; urgency=low

  * QA group upload
  * New upstream release (fixes #28510)
  * Fixed spelling error in description (fixes #26859)
  * Recompiled with ncurses 4.0 (fixes #37431)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 23 May 1999 01:03:00 +1000

sniffit (0.3.5-3) frozen unstable; urgency=low

  * After long waiting for new copyright i must move it to non-free
    (fixes bug #21832)

 -- Damjan Marion <dmarion@debian.org>  Thu,  28 May 1998 15:10:35 +0200

sniffit (0.3.5-2) frozen unstable; urgency=low

  * Moved to frozen (resurrected from orphaned)
  * Updated to standards 2.4.1.0

 -- Damjan Marion <dmarion@debian.org>  Wed, 15 Apr 1998 23:56:11 +0200

sniffit (0.3.5-1) unstable; urgency=low

  * New maintainer
  * New upstream release
  * Updated to standards 2.4.0.0

 -- Damjan Marion <dmarion@debian.org>  Tue,  7 Apr 1998 22:57:01 +0200

sniffit (0.3.3-1) unstable; urgency=low

  * Initial Release.

 -- Patrick J. Edwards <edwards@cambridgenet.sk.ca>  Mon, 17 Mar 1997 17:46:24 -0600
